<?php

/******************************************************************************
Description : vpTransformationen 1.0.1 - Backed-Plugin
Author      : Ingo van Peeren
Urls        : http://www.van-peeren.de
Create date : 2006-06-22
Modified    : 2006-12-18
License     : GNU GPL (see folder "docs/license.txt")
******************************************/

cInclude("classes", "widgets/class.widgets.page.php");
cInclude("classes", "widgets/class.widgets.datawidgets.php");
cInclude("classes", "class.ui.php");
cInclude("classes", "class.htmlelements.php");
cInclude("classes", "class.properties.php");
cInclude("classes", "contenido/class.client.php");

$plugin_name = "vpTransformationen";

$oPage               = new cPage;
$oEintraege          = new vpTransformationCollection;
$oEintrag            = new vpTransformation;
$oClient             = new cApiClient($client);

$id = $_REQUEST['id'];
$oEintrag->loadByPrimaryKey($id);

if ($action == "vptransformationen_create" && $perm->have_perm_area_action("vptrans_transformations", "vptransformationen_create")) {
	$oEintrag = $oEintraege->create(i18n("-- Neue Transformation --", $plugin_name), "", "", $_REQUEST['type'], $lang, "");
	$id = $oEintrag->get("trid");
/*	$oEintrag->set("short", i18n("-- Neue Transformation --", $plugin_name));
	$oEintrag->set("language", $lang);	
	$oEintrag->set("type", $_REQUEST['type']);
	$oEintrag->store(); */
	$oPage->setReload();		
} 
elseif ($action == "vptransformationen_delete" && $perm->have_perm_area_action("vptrans_transformations", "vptransformationen_delete")) {
	$oEintraege->delete($id);
	$id = 0;
	$oEintraege = new vpTransformationCollection;
  $oEintrag = new vpTransformation;	
	$oPage->setReload();
}  

if ($oEintrag->virgin == false) {
	if ($action == "vptransformationen_save" && $perm->have_perm_area_action("vptrans_transformations", "vptransformationen_save")) {
		$oPage->setReload();
		$messages = array();

    // normale Daten
		$oEintrag->set("short", $short);
		$oEintrag->set("textlong", $textlong);
		$oEintrag->set("title", $title);
		$oEintrag->setProperty("transformation", "description", $description);
		$oEintrag->store();		
	}
	
	if (count($messages) > 0) {
		$notis = $notification->returnNotification("warning", implode("<br>", $messages)) . "<br>";
	}

	$oForm = new UI_Table_Form("properties");
	$oForm->setVar("frame", $frame);
	$oForm->setVar("area", $area);
	$oForm->setVar("action", "vptransformationen_save");
	$oForm->setVar("id", $id);
	
	switch ($oEintrag->get("type")) {
  case 0:
    $oForm->addHeader(i18n("<strong>Abkrzung bearbeiten bearbeiten</strong><br /><br /><u>Hinweise:</u><br />
	Eine Abkrzung sind z.B., u.a., ESF, LDS, BMW. Eine Abkrzung wird im Quelltext gekennzeichnet und der Langtext wird beim Mouseover eingeblendet. Eine Abkrzung kann je nach Webdesign auch optisch hervorgehoben sein.<br /><br />", $plugin_name));
    
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextbox("textlong", $oEintrag->get("textlong"), 110);
    
	  $oForm->add(i18n("Abk&uuml;rzung", $plugin_name),    $oShort->render());
	  $oForm->add(i18n("Langtext", $plugin_name),  $oTextlong->render());
	  
	  $oSelectLanguages = new cHTMLSelectElement("title");
	  $oOption = new cHTMLOptionElement("", "");
		$oSelectLanguages->addOptionElement("none", $oOption);

	  $sLanguages = $oClient->getProperty("vptrans","languages");
	  if ($sLanguages == "") $sLanguages = "aa ab af am ar as ay az ba be bg bh bi bn bo br ca co cs cy da de dz el en eo es et eu fa fi fj fo fr fy ga gd gl gn gu ha he hi hr hu hy ia id ie ik is it iu iw ja ji jv ka kk kl km kn ko ks ku ky la ln lo lt lv mg mi mk ml mn mo mr ms mt my na ne nl no oc om or pa pl ps pt qu rm rn ro ru rw sa sd sg sh si sk sl sm sn so sq sr ss st su sv sw ta te tg th ti tk tl tn to tr ts tt tw ug uk ur uz vi vo wo xh yi yo za zh zu";
	  $aLanguages = explode(" ", $sLanguages);
		
		foreach ($aLanguages AS $sLanguage) {
      $oOption = new cHTMLOptionElement($sLanguage, $sLanguage);
      $oSelectLanguages->addOptionElement($sLanguage, $oOption);		
		}
		
    $oSelectLanguages->setDefault($oEintrag->get("title"));
	  
	  $oForm->add(i18n("Sprache", $plugin_name),     $oSelectLanguages->render());
  break;
  
  case 1:
    $oForm->addHeader(i18n("<strong>Akronym bearbeiten</strong><br /><br /><u>Hinweise:</u><br />
	Ein Akronym sind z.B. UNO, NATO, UEFA. Ein Akronym wird im Quelltext gekennzeichnet und der Langtext wird beim Mouseover eingeblendet. Ein Akronym kann je nach Webdesign auch optisch hervorgehoben sein.<br /><br />", $plugin_name));
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextbox("textlong", $oEintrag->get("textlong"), 110);
    
	  $oForm->add(i18n("Akronym", $plugin_name),    $oShort->render());
	  $oForm->add(i18n("Langtext", $plugin_name),  $oTextlong->render());

	  $oSelectLanguages = new cHTMLSelectElement("title");
	  $oOption = new cHTMLOptionElement("", "");
		$oSelectLanguages->addOptionElement("none", $oOption);

	  $sLanguages = $oClient->getProperty("vptrans","languages");
	  if ($sLanguages == "") $sLanguages = "aa ab af am ar as ay az ba be bg bh bi bn bo br ca co cs cy da de dz el en eo es et eu fa fi fj fo fr fy ga gd gl gn gu ha he hi hr hu hy ia id ie ik is it iu iw ja ji jv ka kk kl km kn ko ks ku ky la ln lo lt lv mg mi mk ml mn mo mr ms mt my na ne nl no oc om or pa pl ps pt qu rm rn ro ru rw sa sd sg sh si sk sl sm sn so sq sr ss st su sv sw ta te tg th ti tk tl tn to tr ts tt tw ug uk ur uz vi vo wo xh yi yo za zh zu";
	  $aLanguages = explode(" ", $sLanguages);
		
		foreach ($aLanguages AS $sLanguage) {
      $oOption = new cHTMLOptionElement($sLanguage, $sLanguage);
      $oSelectLanguages->addOptionElement($sLanguage, $oOption);		
		}
		
		$oSelectLanguages->setDefault($oEintrag->get("title"));
	  
	  $oForm->add(i18n("Sprache", $plugin_name),     $oSelectLanguages->render());
  break;
  
  case 2:
    $oForm->addHeader(i18n("<strong>Autolink bearbeiten</strong><br /><br /><u>Hinweise:</u><br />
	Ein Autolink wandelt ein Wort oder eine Wortgruppe in einen Link um. Wichtig dabei ist, dass die Webseite mit <strong>http://www.</strong> beginnen muss.<br /> Auch Email-Adressen-Verlinkungen knnen hiermit generiert werden. Die URL-Eingabe muss dann wie folgt aussehen: mailto:email@domain.de<br /><br />", $plugin_name));
    
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextbox("textlong", $oEintrag->get("textlong"), 110);
    $oTitle    = new cHTMLTextbox("title", $oEintrag->get("title"), 110);
    
	  $oForm->add(i18n("Autolink", $plugin_name),    $oShort->render());
	  $oForm->add(i18n("URL", $plugin_name),  $oTextlong->render());
	  $oForm->add(i18n("title-Attribut", $plugin_name),     $oTitle->render());
  break;
  
  case 3:
    $oForm->addHeader(i18n("<strong>Fremdsprachlichen Begriff bearbeiten</strong><br /><br /><u>Hinweise:</u><br />
	Ein fremdsprachlicher Begriff wird im Quelltext als solcher gekennzeichnet. Auf der Webseite ist dies nicht zwingend sichtbar (Abhngig vom Webdesign). Der Nutzen ist hier vor allem fr Sprachausgabebrowser gedacht.<br /><br />", $plugin_name));
    
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextbox("textlong", $oEintrag->get("textlong"), 110);
    
	  $oForm->add(i18n("Fremdsprachlicher Begriff", $plugin_name),    $oShort->render());

	  $oSelectLanguages = new cHTMLSelectElement("title");
	  $oOption = new cHTMLOptionElement("", "");
		$oSelectLanguages->addOptionElement("none", $oOption);

	  $sLanguages = $oClient->getProperty("vptrans","languages");
	  if ($sLanguages == "") $sLanguages = "aa ab af am ar as ay az ba be bg bh bi bn bo br ca co cs cy da de dz el en eo es et eu fa fi fj fo fr fy ga gd gl gn gu ha he hi hr hu hy ia id ie ik is it iu iw ja ji jv ka kk kl km kn ko ks ku ky la ln lo lt lv mg mi mk ml mn mo mr ms mt my na ne nl no oc om or pa pl ps pt qu rm rn ro ru rw sa sd sg sh si sk sl sm sn so sq sr ss st su sv sw ta te tg th ti tk tl tn to tr ts tt tw ug uk ur uz vi vo wo xh yi yo za zh zu";
	  $aLanguages = explode(" ", $sLanguages);
		
		foreach ($aLanguages AS $sLanguage) {
      $oOption = new cHTMLOptionElement($sLanguage, $sLanguage);
      $oSelectLanguages->addOptionElement($sLanguage, $oOption);		
		}
		
		$oSelectLanguages->setDefault($oEintrag->get("title"));
	  
	  $oForm->add(i18n("Sprache", $plugin_name),     $oSelectLanguages->render());
  break;
  
    case 5:
    $oForm->addHeader(i18n("<strong>Glossar bearbeiten</strong><br /><br /><u>Hinweise:</u><br />
	Ein Glossar ist eine Mischung aus Erklrung und Autolink und ist meist ein Begriff, der auf der eigentlichen Webseite in einem Artikel genauer beschrieben wird. Hierbei verweist der Link auf eine interne Seite, wo der Begriff genauer beschrieben wird. Die Erklrung fast den Begriff in einen Satz zusammen, der beim Mouseover angezeigt. Ein Glossar-Begriff/Glossar-Link wird auf der Webseite optisch hervorgehoben (meist mit einem kleinen Icon (G) zustzlich).<br /><br />", $plugin_name));
    
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextbox("textlong", $oEintrag->get("textlong"), 110);
    $oTitle    = new cHTMLTextbox("title", $oEintrag->get("title"), 110);
    
	  $oForm->add(i18n("Autolink", $plugin_name),    $oShort->render());
	  $oForm->add(i18n("URL", $plugin_name),  $oTextlong->render());
	  $oForm->add(i18n("title-Attribut", $plugin_name),     $oTitle->render());
  break;
  
  case 6:
    $oForm->addHeader(i18n("<strong>Platzhalter bearbeiten</strong><br /><br /><u>Hinweise:</u>
	Platzhalter knnen Wrter und Stze sein. Empfehlenswert ist allerdings Platzhalter als besondere Zeichenkombination im Text einzusetzen.<br />
	Ein Beispiel wre: {MA1} fr die Kontaktdaten (Name, Telefon, Email, Mobil) eines Mitarbeiter auf einer bestimmten Position. Wechselt der Mitarbeiter und die Position bleibt bestehen, muss man die nderungen nur einmal hier vornehmen. <br />
	<br /><u>Hinweise fr Formatierungen (Zum Kopieren geeignet):</u><br />
	&lt;br /&gt; = Zeilenumbruch<br />
	&lt;strong&gt;Fett&lt;/strong&gt; &nbsp; = &nbsp; <strong>Fett</strong><br />
	&lt;em&gt;Kursiv&lt;/em&gt; &nbsp; = &nbsp; <em>Kursiv</em><br />
	&lt;a href=&quot;http://www.diewebadresse.de&quot;&gt;Link&lt;/a&gt; &nbsp; = &nbsp; <a href=\"http://www.diewebadresse.de\">Link</a> *<br />
	&lt;a href=&quot;mailto:email@domain.de&quot;&gt;email@domain.de&quot;&lt;/a&gt; &nbsp; = &nbsp; <a href=\"mailto:email@domain.de\">email@domain.de</a> *<br /><br />
	<strong>*</strong> Achtung bei den Adressen der Links wird bei jedem Speichern vor dem &quot; ein oder mehrere Backslashes \ vorangestellt. Achten Sie darauf, dass sich nach dem Speichern <strong>jeweils nur ein Backslash vor einem &quot; befindet</strong>. Sollte das nicht der Fall sein lschen Sie alle Backslashes und Speichern erneut. Jetzt sollte nur noch jeweils ein \ vor dem &quot; sein, welches so auch gewollt ist.<br /><br />", $plugin_name));
    
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextarea("textlong", $oEintrag->get("textlong"), 110);
    
	  $oForm->add(i18n("Platzhlalter", $plugin_name),    $oShort->render());
	  $oForm->add(i18n("Langtext", $plugin_name),  $oTextlong->render());
  break; 
  
  case 4:
    $oForm->addHeader(i18n("<strong>Erklrung bearbeiten bearbeiten</strong><br /><br /><u>Hinweise:</u><br />
	Eine Erklrung kann auf ein Wort oder ein Satz angewandt werden. Beim Mouseover wird der Langtext (die eigentliche Erklrung) eingeblendet. Ein Erklrung kann je nach Webdesign auch optisch hervorgehoben sein.<br /><br />", $plugin_name));
    
    $oShort    = new cHTMLTextbox("short", $oEintrag->get("short"), 110);
    $oTextlong = new cHTMLTextbox("textlong", $oEintrag->get("textlong"), 110);
    
	  $oForm->add(i18n("Erkl&auml;rung", $plugin_name),    $oShort->render());
	  $oForm->add(i18n("Langtext", $plugin_name),  $oTextlong->render());
  break;  
}

  $oDescription	= new cHTMLTextarea("description", $oEintrag->getProperty("transformation", "description"), 110);
  $oForm->add(i18n("Beschreibung", $plugin_name),  $oDescription->render());
	
	$sContent = $oForm->render(true);
	
	$oPage->setContent($notis . $sContent);
	
} else {
	$oPage->setContent($notis . "");	
}

$delTitle   = i18n("Transformation l&ouml;schen", $plugin_name);
$delDescr   = i18n("M&ouml;chten Sie diese Transformation wirklich l&ouml;schen:<br>", $plugin_name);

$execScript = '<script type="text/javascript">
	
			/* Check if we are in a dual-frame or a quad-frame */
			if ( parent.parent.frames[0].name == "header")
			{
	    		if ( parent.frames["right_top"].document.getElementById("c_0") ) {
	                menuItem = parent.frames["right_top"].document.getElementById("c_0");
	                parent.frames["right_top"].sub.click(menuItem);
	            } 	
			} else {
	        /* Check if submenuItem is existing
	           and mark it */
			
	            if ( parent.parent.frames["right"].frames["right_top"].document.getElementById("c_0") ) {
	                menuItem = parent.parent.frames["right"].frames["right_top"].document.getElementById("c_0");
	                parent.parent.frames["right"].frames["right_top"].sub.click(menuItem);
	            } 
			}
			
        /* Session-ID */
        var sid = "'.$sess->id.'";

        /* Create messageBox instance */
        box = new messageBox("", "", "", 0, 0);

        function showDelMsg(lngId, strElement) {
            box.confirm("'.$delTitle.'", "'.$delDescr.'<b>" + strElement + "</b>", "deleteAngebot(\'" + lngId + "\')");
        }

        /* Function for deleting recipients */
        function deleteTransformation(idr) {
            oForm = document.getElementById("filterform");

            url  = "main.php?area=vptrans_transformations";
            url += "&action=vptransformationen_delete";
            url += "&frame=4";
            url += "&id=" + id;
            url += "&contenido=" + sid;
            url += get_registered_parameters();
            url += "&sortby=" + oForm.sortby.value;
            url += "&sortorder=" + oForm.sortorder.value;
            url += "&filter=" + oForm.filter.value;
            url += "&elemperpage=" + oForm.elemperpage.value;

            parent.parent.right.right_bottom.location.href = url;
        }
		</script>';

$oPage->addScript('messagebox', '<script type="text/javascript" src="scripts/messageBox.js.php?contenido='.$sess->id.'"></script>');
$oPage->addScript('changeview', $execScript);

$oPage->render();

unset ($plugin_name);
?>
