<?php

/******************************************************************************
Description : vpTransformationen 1.0.1 - Backed-Plugin
Author      : Ingo van Peeren
Urls        : http://www.van-peeren.de
Create date : 2006-06-22
Modified    : 2006-12-18
License     : GNU GPL (see folder "docs/license.txt")
******************************************/

cInclude("classes", "widgets/class.widgets.page.php");
cInclude("classes", "widgets/class.widgets.foldingrow.php");
cInclude("classes", "widgets/class.widgets.pager.php");
cInclude("classes", "class.ui.php");

$plugin_name = "vpTransformationen";

$oPage       = new cPage;
$sLocation   = $sess->url("main.php?area=$area&frame=$frame");

/* Actions folding row */
$oListActionRow = new cFoldingRow("f0d7bf80-e73e-11d9-8cd6-0800200c9a66",i18n("Actions"));

$sContent  =  '<div style="padding: 4px; padding-left: 12px; border-bottom: 1px solid black; background: '.$cfg['color']['table_dark'].';">'.chr(10);

/* Create a link to add a recipient */
$oLink = new cHTMLLink;
$oLink->setCLink("vptrans_preferences", 4);
$oLink->setTargetFrame("right_bottom");
$oLink->setCustom("set", "acronym");
$oLink->setContent('<img style="padding-right: 4px;" src="'.$cfg['plugins']['vpTransformationen'] . 'images/trans_prefs.gif" align="middle">'.i18n("Akronym-Verhalten einrichten", $plugin_name).'</a>');
$sContent .= $oLink->render().'<br />'.chr(10);

/* Create a link to add a recipient */
$oLink = new cHTMLLink;
$oLink->setCLink("vptrans_preferences", 4);
$oLink->setTargetFrame("right_bottom");
$oLink->setCustom("set", "link");
$oLink->setContent('<img style="padding-right: 4px;" src="'.$cfg['plugins']['vpTransformationen'] . 'images/trans_prefs.gif" align="middle">'.i18n("Link-Verhalten einrichten", $plugin_name).'</a>');
$sContent .= $oLink->render().'<br />'.chr(10);

/* Create a link to add a recipient */
$oLink = new cHTMLLink;
$oLink->setCLink("vptrans_preferences", 4);
$oLink->setTargetFrame("right_bottom");
$oLink->setCustom("set", "explanation");
$oLink->setContent('<img style="padding-right: 4px;" src="'.$cfg['plugins']['vpTransformationen'] . 'images/trans_prefs.gif" align="middle">'.i18n("Erkl&auml;rungs-Verhalten einrichten", $plugin_name).'</a>');
$sContent .= $oLink->render().'<br />'.chr(10);

/* Create a link to add a recipient */
$oLink = new cHTMLLink;
$oLink->setCLink("vptrans_preferences", 4);
$oLink->setTargetFrame("right_bottom");
$oLink->setCustom("set", "match");
$oLink->setContent('<img style="padding-right: 4px;" src="'.$cfg['plugins']['vpTransformationen'] . 'images/trans_prefs.gif" align="middle">'.i18n("Gro&szlig;-/Kleinschreibung einrichten", $plugin_name).'</a>');
$sContent .= $oLink->render().'<br />'.chr(10);

/* Create a link to add a recipient */
$oLink = new cHTMLLink;
$oLink->setCLink("vptrans_preferences", 4);
$oLink->setTargetFrame("right_bottom");
$oLink->setCustom("set", "languages");
$oLink->setContent('<img style="padding-right: 4px;" src="'.$cfg['plugins']['vpTransformationen'] . 'images/trans_prefs.gif" align="middle">'.i18n("Sprachen einrichten", $plugin_name).'</a>');
$sContent .= $oLink->render().'<br />'.chr(10);

/* Create a link to add a recipient */
$oLink = new cHTMLLink;
$oLink->setCLink("vptrans_preferences", 4);
$oLink->setTargetFrame("right_bottom");
$oLink->setCustom("set", "classes");
$oLink->setContent('<img style="padding-right: 4px;" src="'.$cfg['plugins']['vpTransformationen'] . 'images/trans_prefs.gif" align="middle">'.i18n("CSS-Klassen einrichten", $plugin_name).'</a>');
$sContent .= $oLink->render().'<br />'.chr(10);

$sContent .= '</div>';

$oListActionRow->setExpanded(true);
$oListActionRow->setContentData($sContent); 

$oPage->setMargin(0);
$oPage->addScript('cfoldingrow.js', '<script language="JavaScript" src="scripts/cfoldingrow.js"></script>');
$oPage->addScript('parameterCollector.js', '<script language="JavaScript" src="scripts/parameterCollector.js"></script>');

$oPage->setContent(array('<table border="0" cellspacing="0" cellpadding="0" width="100%">', $oListActionRow, '</table>'));
$oPage->render();

unset ($plugin_name);
?>
