CREATE TABLE IF NOT EXISTS !PREFIX!_vpTransformationen (
  trid int(11) NOT NULL auto_increment,
  short varchar(100) NOT NULL default '',
  textlong varchar(200) NOT NULL default '',
  title varchar(100) NOT NULL default '',
  type tinyint(1) NOT NULL default '0',
  language int(10) NOT NULL default '0',
  PRIMARY KEY  (trid)
) TYPE=MyISAM;


DELETE IGNORE FROM con_actions WHERE idaction='!PID!11';
DELETE IGNORE FROM con_actions WHERE idaction='!PID!03';
DELETE IGNORE FROM con_actions WHERE idaction='!PID!02';
DELETE IGNORE FROM con_actions WHERE idaction='!PID!01';
DELETE IGNORE FROM con_nav_sub WHERE idnavs='!PID!10';
DELETE IGNORE FROM con_nav_sub WHERE idnavs='!PID!00';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!14';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!13';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!12';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!11';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!04';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!03';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!02';
DELETE IGNORE FROM con_frame_files WHERE idframefile='!PID!01';
DELETE IGNORE FROM con_files WHERE idfile='!PID!14';
DELETE IGNORE FROM con_files WHERE idfile='!PID!13';
DELETE IGNORE FROM con_files WHERE idfile='!PID!12';
DELETE IGNORE FROM con_files WHERE idfile='!PID!11';
DELETE IGNORE FROM con_files WHERE idfile='!PID!04';
DELETE IGNORE FROM con_files WHERE idfile='!PID!03';
DELETE IGNORE FROM con_files WHERE idfile='!PID!02';
DELETE IGNORE FROM con_files WHERE idfile='!PID!01';
DELETE IGNORE FROM con_area WHERE idarea='!PID!10';
DELETE IGNORE FROM con_area WHERE idarea='!PID!00';

INSERT INTO !PREFIX!_area VALUES ('!PID!00', '0', 'vptrans_transformations', '1', '1', '0');
INSERT INTO !PREFIX!_area VALUES ('!PID!10', '0', 'vptrans_preferences', '1', '1', '0');

INSERT INTO !PREFIX!_files VALUES ('!PID!01', '!PID!00', 'vpTransformationen/includes/include.vpTransformationen_edit.php', 'main');
INSERT INTO !PREFIX!_files VALUES ('!PID!02', '!PID!00', 'vpTransformationen/includes/include.vpTransformationen_left_top.php', 'main');
INSERT INTO !PREFIX!_files VALUES ('!PID!03', '!PID!00', 'vpTransformationen/includes/include.vpTransformationen_menu.php', 'main');
INSERT INTO !PREFIX!_files VALUES ('!PID!04', '!PID!00', 'include.subnav_blank.php', 'main');

INSERT INTO !PREFIX!_files VALUES ('!PID!11', '!PID!10', 'vpTransformationen/includes/include.vpTransformationen_settings_edit.php', 'main');
INSERT INTO !PREFIX!_files VALUES ('!PID!12', '!PID!10', 'vpTransformationen/includes/include.vpTransformationen_left_top.php', 'main');
INSERT INTO !PREFIX!_files VALUES ('!PID!13', '!PID!10', 'vpTransformationen/includes/include.vpTransformationen_settings_menu.php', 'main');
INSERT INTO !PREFIX!_files VALUES ('!PID!14', '!PID!10', 'include.subnav_blank.php', 'main');

INSERT INTO !PREFIX!_frame_files VALUES ('!PID!01', '!PID!00', '4', '!PID!01');
INSERT INTO !PREFIX!_frame_files VALUES ('!PID!02', '!PID!00', '1', '!PID!02');
INSERT INTO !PREFIX!_frame_files VALUES ('!PID!03', '!PID!00', '2', '!PID!03');
INSERT INTO !PREFIX!_frame_files VALUES ('!PID!04', '!PID!00', '3', '!PID!04');

INSERT INTO !PREFIX!_frame_files VALUES ('!PID!11', '!PID!10', '4', '!PID!11');
INSERT INTO !PREFIX!_frame_files VALUES ('!PID!12', '!PID!10', '1', '!PID!12');
INSERT INTO !PREFIX!_frame_files VALUES ('!PID!13', '!PID!10', '2', '!PID!13');
INSERT INTO !PREFIX!_frame_files VALUES ('!PID!14', '!PID!10', '3', '!PID!14');

INSERT INTO !PREFIX!_nav_sub VALUES ('!PID!00', '3', '!PID!00', '0', 'vpTransformationen/xml/;navigation/extra/transformations', '1');
INSERT INTO !PREFIX!_nav_sub VALUES ('!PID!10', '3', '!PID!10', '1', 'vpTransformationen/xml/;navigation/extra/preferences', '1');

INSERT INTO !PREFIX!_actions VALUES ('!PID!01', '!PID!00', '', 'vptransformationen_create', '', '', '1');
INSERT INTO !PREFIX!_actions VALUES ('!PID!02', '!PID!00', '', 'vptransformationen_save', '', '', '1');
INSERT INTO !PREFIX!_actions VALUES ('!PID!03', '!PID!00', '', 'vptransformationen_delete', '', '', '1');

INSERT INTO !PREFIX!_actions VALUES ('!PID!11', '!PID!10', '', 'vptransformationen_prefs_save', '', '', '1');
