<?php

/******************************************************************************
Description : vpTransformationen 1.0.1 - Backed-Plugin
Author      : Ingo van Peeren
Urls        : http://www.van-peeren.de
Create date : 2006-06-22
Modified    : 2006-12-18
License     : GNU GPL (see folder "docs/license.txt")
******************************************/

/* Section 1: Fixed path settings
 * ----------------------------------
 *
 * Defines fixed path variables for various sub-directories,
 * and compatibility pathes. Modify them on your own risk!
 */

$plugin_name = "vpTransformationen";
$cfg['plugins']['vpTransformationen'] = $cfg['path']['plugins'].$plugin_name."/";


/* Section 2: Template Files
 * ----------------------------------
 *
 * Defines the files for different templates
 */

$cfg['templates']['vpTransformationen_left_top']  = 'template.vpTransformationen_left_top.html';
$cfg['templates']['vpTransformationen_menu']      = 'template.vpTransformationen_menu.html';
$cfg['templates']['vpTransformationen_menu_top']  = 'template.vpTransformationen_menu_top.html';
$cfg['templates']['vpTransformationen_edit']      = 'template.vpTransformationen_edit.html';
$cfg['templates']['vpTransformationen_new']      = 'template.vpTransformationen_new.html';


/* Section 3: Table Settings
 * ----------------------------------
 *
 * Defines the settings for db query strings
 */

// $cfg["tab"]["vpcomments"]				= $cfg['sql']['sqlprefix']."_vpcomments";

cInclude("classes", "class.transformations.php");


/* Section 4: Language Strings
 * ----------------------------------
 *
 * Defines the i18n strings for the area/actions
 */

$lngAct["vptrans_transformations"]["vptransformationen_create"] = i18n("Transformationen anlegen", $plugin_name);
$lngAct["vptrans_transformations"]["vptransformationen_save"] = i18n("Transformationen &auml;ndern", $plugin_name);
$lngAct["vptrans_transformations"]["vptransformationen_delete"] = i18n("Transformationen l&ouml;schen", $plugin_name);

$lngAct["vptrans_preferences"]["vptransformationen_prefs_save"] = i18n("vpTransformationen Einstellungen", $plugin_name);

/* Section 5: Further configs
 * ----------------------------------
 *
 * Defines the i18n strings for the area/actions
 */

//$cfg["vpTransformationen"]["firstlang"] = 1;

// clean up unused variables
unset ($plugin_name);
?>
